## r-cran-rcppgsl 0.3.3

=== DESCRIPTION ===
Package: RcppGSL
Type: Package
Title: 'Rcpp' Integration for 'GNU GSL' Vectors and Matrices
Version: 0.3.3
Date: 2017-09-24
Author: Dirk Eddelbuettel and Romain Francois
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: 'Rcpp' integration for 'GNU GSL' vectors and matrices
 The 'GNU Scientific Library' (or 'GSL') is a collection of numerical routines for
 scientific computing. It is particularly useful for C and C++ programs as it
 provides a standard C interface to a wide range of mathematical routines. There
 are over 1000 functions in total with an extensive test suite. The 'RcppGSL'
 package provides an easy-to-use interface between 'GSL' data structures and
 R using concepts from 'Rcpp' which is itself a package that eases the
 interfaces between R and C++. This package also serves as a prime example of
 how to build a package that uses 'Rcpp' to connect to another third-party
 library. The 'autoconf' script, 'inline' plugin and example package can all
 be used as a stanza to  write a similar package against another library.
License: GPL (>= 2)
LazyLoad: yes
LinkingTo: Rcpp
Imports: Rcpp (>= 0.11.0), stats
Suggests: RUnit, inline, knitr, rmarkdown, pinp
SystemRequirements: GNU GSL
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2017-09-24 14:23:03 UTC; edd
Repository: CRAN
Date/Publication: 2017-09-24 14:47:06 UTC

## r-cran-rcppgsl 0.3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppGSL
 Type: Package
 Title: 'Rcpp' Integration for 'GNU GSL' Vectors and Matrices
-Version: 0.3.3
-Date: 2017-09-24
+Version: 0.3.6
+Date: 2018-06-10
 Author: Dirk Eddelbuettel and Romain Francois
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Rcpp' integration for 'GNU GSL' vectors and matrices
@@ -24,6 +24,6 @@
 SystemRequirements: GNU GSL
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2017-09-24 14:23:03 UTC; edd
+Packaged: 2018-06-10 15:52:16.031231 UTC; edd
 Repository: CRAN
-Date/Publication: 2017-09-24 14:47:06 UTC
+Date/Publication: 2018-06-10 16:43:08 UTC

=== debian/changelog ===
r-cran-rcppgsl (0.3.6-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Jun 2018 22:31:31 -0500

r-cran-rcppgsl (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 May 2018 17:56:51 -0500

r-cran-rcppgsl (0.3.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 May 2018 09:22:54 -0500

r-cran-rcppgsl (0.3.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/compat: Increase level to 9
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Sep 2017 14:47:12 -0500

r-cran-rcppgsl (0.3.2-2) unstable; urgency=medium

  * debian/control: Add libgsl-dev to Depends 		(Closes: #858882)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Mar 2017 05:25:09 -0500

r-cran-rcppgsl (0.3.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Mar 2017 14:37:07 -0500

r-cran-rcppgsl (0.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Oct 2016 19:13:02 -0500

r-cran-rcppgsl (0.3.0-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #833653)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 07 Aug 2016 09:08:17 -0500

=== debian/control ===
Source: r-cran-rcppgsl
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppgsl
Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppgsl.git
Homepage: https://cran.r-project.org/package=RcppGSL

Package: r-cran-rcppgsl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp (>= 0.11.0-1), libgsl-dev
Description: GNU R package for integration with the GNU GSL
 The 'GNU Scientific Library' (or 'GSL') is a collection of numerical
 routines for scientific computing. It is particularly useful for C
 and C++ programs as it provides a standard C interface to a wide
 range of mathematical routines such as special functions,
 permutations, combinations, fast fourier transforms, eigensystems,
 random numbers, quadrature, random distributions, quasi-random
 sequences, Monte Carlo integration, N-tuples, differential equations,
 simulated annealing, numerical differentiation, interpolation, series
 acceleration, Chebyshev approximations, root-finding, discrete Hankel
 transforms physical constants, basis splines and wavelets.  There are
 over 1000 functions in total with an extensive test suite.
 .
 The 'RcppGSL' package provides an easy-to-use interface between 'GSL'
 data structures and R using concepts from 'Rcpp' which is itself a
 package that eases the interfaces between R and C++.
 .
 This package also serves as a prime example of how to build a package
 that uses 'Rcpp' to connect to another third-party library. The
 'autoconf' script, 'inline' plugin and example package can all be
 used as a stanza to write a similar package against another library.

## r-cran-rcppgsl 0.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppGSL
 Type: Package
 Title: 'Rcpp' Integration for 'GNU GSL' Vectors and Matrices
-Version: 0.3.6
-Date: 2018-06-10
+Version: 0.3.7
+Date: 2019-10-20
 Author: Dirk Eddelbuettel and Romain Francois
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Rcpp' integration for 'GNU GSL' vectors and matrices
@@ -20,10 +20,9 @@
 LazyLoad: yes
 LinkingTo: Rcpp
 Imports: Rcpp (>= 0.11.0), stats
-Suggests: RUnit, inline, knitr, rmarkdown, pinp
+Suggests: tinytest, inline
 SystemRequirements: GNU GSL
-VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2018-06-10 15:52:16.031231 UTC; edd
+Packaged: 2019-10-20 13:53:53.24488 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-06-10 16:43:08 UTC
+Date/Publication: 2019-10-20 14:20:02 UTC

=== debian/changelog ===
r-cran-rcppgsl (0.3.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:35 +0100

r-cran-rcppgsl (0.3.7-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Oct 2019 16:35:49 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppgsl
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppgsl.git
 Homepage: https://cran.r-project.org/package=RcppGSL

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RcppGSL_([-\d\.]*)\.tar.gz

## r-cran-rcppgsl 0.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppGSL
 Type: Package
 Title: 'Rcpp' Integration for 'GNU GSL' Vectors and Matrices
-Version: 0.3.7
-Date: 2019-10-20
+Version: 0.3.8
+Date: 2020-06-21
 Author: Dirk Eddelbuettel and Romain Francois
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Rcpp' integration for 'GNU GSL' vectors and matrices
@@ -20,9 +20,9 @@
 LazyLoad: yes
 LinkingTo: Rcpp
 Imports: Rcpp (>= 0.11.0), stats
-Suggests: tinytest, inline
+Suggests: tinytest
 SystemRequirements: GNU GSL
 NeedsCompilation: yes
-Packaged: 2019-10-20 13:53:53.24488 UTC; edd
+Packaged: 2020-06-21 14:15:40.485437 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-10-20 14:20:02 UTC
+Date/Publication: 2020-06-21 14:40:02 UTC

=== debian/changelog ===
r-cran-rcppgsl (0.3.8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Jun 2020 10:12:05 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.1), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppgsl
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppgsl.git
 Homepage: https://cran.r-project.org/package=RcppGSL

## r-cran-rcppgsl 0.3.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppGSL
 Type: Package
 Title: 'Rcpp' Integration for 'GNU GSL' Vectors and Matrices
-Version: 0.3.8
-Date: 2020-06-21
+Version: 0.3.10
+Date: 2021-10-07
 Author: Dirk Eddelbuettel and Romain Francois
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Rcpp' integration for 'GNU GSL' vectors and matrices
@@ -22,7 +22,10 @@
 Imports: Rcpp (>= 0.11.0), stats
 Suggests: tinytest
 SystemRequirements: GNU GSL
+URL: https://github.com/eddelbuettel/rcppgsl,
+        https://dirk.eddelbuettel.com/code/rcpp.gsl.html
+BugReports: https://github.com/eddelbuettel/rcppgsl/issues
 NeedsCompilation: yes
-Packaged: 2020-06-21 14:15:40.485437 UTC; edd
+Packaged: 2021-10-07 13:09:02 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-06-21 14:40:02 UTC
+Date/Publication: 2021-10-07 13:40:08 UTC

=== debian/changelog ===
r-cran-rcppgsl (0.3.10-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:42:16 +0000

r-cran-rcppgsl (0.3.10-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 12 Oct 2021 09:44:24 -0500

r-cran-rcppgsl (0.3.9-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 16:57:17 -0500

r-cran-rcppgsl (0.3.9-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)
  
  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Jul 2021 13:54:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: r-cran-rcppgsl
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.1), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
-Standards-Version: 4.5.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppgsl
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppgsl.git
 Homepage: https://cran.r-project.org/package=RcppGSL

## r-cran-rcppgsl 0.3.11

=== debian/changelog ===
r-cran-rcppgsl (0.3.11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Mar 2022 10:20:44 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: r-cran-rcppgsl
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp (>= 0.11.0), libgsl-dev
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, r-cran-rcpp, libgsl-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppgsl
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppgsl.git
@@ -11,7 +10,7 @@
 
 Package: r-cran-rcppgsl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp (>= 0.11.0-1), libgsl-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp, libgsl-dev
 Description: GNU R package for integration with the GNU GSL
  The 'GNU Scientific Library' (or 'GSL') is a collection of numerical
  routines for scientific computing. It is particularly useful for C

## r-cran-rcppgsl 0.3.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppGSL
 Type: Package
 Title: 'Rcpp' Integration for 'GNU GSL' Vectors and Matrices
-Version: 0.3.10
-Date: 2021-10-07
+Version: 0.3.13
+Date: 2023-01-12
 Author: Dirk Eddelbuettel and Romain Francois
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Rcpp' integration for 'GNU GSL' vectors and matrices
@@ -26,6 +26,6 @@
         https://dirk.eddelbuettel.com/code/rcpp.gsl.html
 BugReports: https://github.com/eddelbuettel/rcppgsl/issues
 NeedsCompilation: yes
-Packaged: 2021-10-07 13:09:02 UTC; edd
+Packaged: 2023-01-12 23:38:26 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-10-07 13:40:08 UTC
+Date/Publication: 2023-01-13 00:10:02 UTC

=== debian/changelog ===
r-cran-rcppgsl (0.3.13-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:55:51 +0200

r-cran-rcppgsl (0.3.13-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Jan 2023 08:32:03 -0600

r-cran-rcppgsl (0.3.12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Oct 2022 20:53:53 -0500

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rcppgsl package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
